Sign in

Create setting

POST /mdw/vtex/setting

Creates a VTEX setting row for the org. appKey and account are required — get them from the VTEX admin (/admin/storeconfig and vtexAppKey).

Try-it values populated from environment ACME (Demo)


Request body

Content-Type: application/json

{
    "account": "mystore",
    "appKey": "vtexappkey-mystore-XXXX",
    "appToken": "AAA...",                                       // optional
    "integrateBrand": 1,                                        // optional
    "integrateCategory": 1,                                     // optional
    "integrateOrder": 1,                                        // optional
    "sellersAvailableReward": null,                             // optional
    "giftcardProvider": "https://mystore.myguper.com/mdw/vtex",  // optional
    "giftcardApiKey": "XXX"                                     // optional
}

Responses

{"id": 1, "account": "mystore", "appKey": "vtexappkey-mystore-XXXX", "integrateBrand": 1, "integrateCategory": 1, "integrateOrder": 1}
Copied to clipboard